文書の一覧

名前空間: microsoft.graph

ユーザーのプロファイルから itemPublication オブジェクトのリストを取得 します

アクセス許可

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント) User.Read、User.ReadWrite、User.ReadBasic.All、User.Read.All、User.ReadWrite.All
委任 (個人用 Microsoft アカウント) User.Read、User.ReadWrite、User.ReadBasic.All、User.Read.All、User.ReadWrite.All
アプリケーション User.ReadBasic.All, User.Read.All, User.ReadWrite.All

HTTP 要求

GET /me/profile/publications
GET /users/{id | userPrincipalName}/profile/publications

オプションのクエリ パラメーター

このメソッドは、応答のカスタマイズに役立つ次の OData クエリ パラメーターをサポートします。 一般的な情報については、「OData クエリ パラメーター」を参照してください。

名前 説明
$filter string 指定した条件を含むオブジェクトにのみ応答を制限します。
$orderby string 既定では、応答内のオブジェクトは、クエリで作成されたDateTime 値によって並べ替えされます。 このパラメーターを使用して、応答の順序 を$orderby できます。
$select string 応答に含めるプロパティを示すコンマ区切りのリスト。最適なパフォーマンスを得るには、必要なプロパティのサブセットのみを選択します。
$skip int ページングに役立つ最初の n 件の結果をスキップします。
$top int 返される結果の数。

要求ヘッダー

名前 説明
Authorization ベアラー {token}。必須。

要求本文

このメソッドには、要求本文を指定しません。

応答

成功した場合、このメソッドは応答コードと、応答本文の 200 OK itemPublication オブジェクトのコレクションを返します。

GET https://graph.microsoft.com/beta/me/profile/publications

応答

注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "value": [
    {
      "id": "0fb4c1e3-c1e3-0fb4-e3c1-b40fe3c1b40f",
      "allowedAudiences": "organization",
      "inference": null,
      "createdDateTime": "2020-07-06T06:34:12.2294868Z",
      "createdBy": {
        "application": null,
        "device": null,
        "user": {
          "displayName": "Innocenty Popov",
          "id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
        }
      },
      "lastModifiedDateTime": "2020-07-06T06:34:12.2294868Z",
      "lastModifiedBy": {
        "application": null,
        "device": null,
        "user": {
          "displayName": "Innocenty Popov",
          "id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
        }
      },
      "source": null,
      "description": "One persons journey to the top of the branding management field.",
      "displayName": "Got Brands? The story of Innocenty Popov and his journey to the top.",
      "publishedDate": "Date",
      "publisher": "International Association of Branding Management Publishing",
      "thumbnailUrl": "https://iabm.io/sdhdfhsdhshsd.jpg",
      "webUrl": "https://www.iabm.io"
    }
  ]
}